<div ng-controller="conceptoFacturableController" ng-cloak>
  <div layout="row">
    <div flex="100">
      <md-toolbar class="md-table-toolbar md-default">
        <div class="md-toolbar-tools">
          <h2 class="md-title">Conceptos Facturables</h2>
          <div class="flex" flex=""></div>
          <button class="md-icon-button md-button md-ink-ripple" type="button" ng-click="newConceptoFacturable()" aria-label="add_circle">
            <md-icon class="material-icons">add_circle</md-icon>
            <div class="md-ripple-container"></div>
          </button>
        </div> 
        <md-input-container class="md-block" flex-gt-sm>
          <label>Filtro de b&uacute;squeda</label>
          <input ng-model='textConceptoFacturableFilter' />
        </md-input-container>		
      </md-toolbar>
      <md-table-container>
        <table md-table multiple ng-model="selected" md-progress="promise">
          <thead fix-head md-head>
            <tr md-row>
              <th md-column md-order-by="nombreToLower" ng-click="sortBy('nombre')"><span>CODIGO</span></th>              
              <th md-column md-order-by="descripcionToLower" ng-click="sortBy('descripcion')"><span>DESCRIPCION</span></th>
              <th md-column md-order-by="companiaToLower" ng-click="sortBy('compania')"><span>COMPA&Ntilde;IA</span></th>
            </tr>
          </thead>
          <tbody md-body>
            <tr md-row md-select-id="id" md-auto-select ng-repeat="conceptoFacturable in conceptosFacturables | filter: conceptoFacturableFilter | orderBy:propertyName:reverse" ng-click="conceptoFacturableDetails(conceptoFacturable.id)">
              <td md-cell>{{conceptoFacturable.codigo}}</td>
              <td md-cell>{{conceptoFacturable.descripcion}}</td>
              <td md-cell>{{conceptoFacturable.compania.nombre}}</td>
            </tr>
          </tbody>
        </table>
      </md-table-container>
    </div>
    <div style="display: none" flex="100">
      <div class="md-dialog-container" id="conceptoFacturableDialog" flex="100">
        <md-dialog aria-label="{{dialogAction}}" flex="80">
        	<md-toolbar>
              <div class="md-toolbar-tools">
                <h2>{{dialogAction}}</h2>
                <span flex></span>
                <md-button class="md-icon-button" ng-click="cancel()"> 
                  <md-icon aria-label="Cerrar"><i class="material-icons">clear</i></md-icon>
                </md-button>
              </div>
            </md-toolbar>
          <form name="conceptoFacturableForm" id="conceptoFacturableForm" novalidate class="panel panel-default" ng-submit="conceptoFacturableForm.$valid && saveConceptoFacturable(conceptoFacturable, conceptoFacturableForm)">            
            <md-dialog-content>
              <div layout="column" flex="95">
                <md-input-container class="md-block" flex-gt-sm> 
                  <label>C&oacute;digo</label> 
                  <input md-maxlength="200" required name="codigo" ng-model="conceptoFacturable.codigo" />
                  
                  <div ng-messages="conceptoFacturableForm.codigo.$error">
                    <div ng-message="required">
                      <b>C&oacute;digo</b> obligatorio.
                    </div>
                    <div ng-message="md-maxlength">
                      El <b>C&oacute;digo</b> no debe superar los 200 caracteres.
                    </div>
                  </div>
                </md-input-container>
                <md-input-container class="md-block" flex-gt-sm> 
                  <label>Descripci&oacute;n</label> 
                  <textarea ng-model="conceptoFacturable.descripcion" md-maxlength="2000" maxlength="2000" rows="5" required md-select-on-focus></textarea>
                  <div ng-messages="conceptoFacturableForm.descripcion.$error">
                    <div ng-message="required">
                      <b>Descripci&ocaute;n</b> obligatoria.
                    </div>
                    <div ng-message="md-maxlength">
                      La <b>Descripci&ocaute;n</b> no debe superar los 2000 caracteres.
                    </div>
                  </div>
                </md-input-container>
             
               <div layout-gt-sm="row">
               
                <div flex-gt-sm> 

				<p>Baremo Compa&ntilde;&iacute;a</p>

				<md-radio-group ng-model="conceptoFacturable.baremoCompania"> 
					<md-radio-button value="S">Si</md-radio-button> 
					<md-radio-button value="N">No</md-radio-button>
				</md-radio-group>
				</div>
                  
                  <div flex="5" hide-xs hide-sm>
                    <!-- Spacer //-->
                  </div>
						
                <md-input-container class="md-block" flex-gt-sm> 
                  <label>Compa&ntilde;&iacute;a</label> 
                  <md-select ng-model="conceptoFacturable.compania">
          			<md-option ng-repeat="compania in companias" ng-value="compania" ng-selected="conceptoFacturable.compania.id === compania.id">{{compania.nombre}}</md-option>
        		  </md-select>
                  <div ng-messages="conceptoFacturableForm.compania.$error">
                    <div ng-message="required">
                      <b>Descripci&ocaute;n</b> obligatoria.
                    </div>
                    <div ng-message="md-maxlength">
                      La <b>Descripci&ocaute;n</b> no debe superar los 2000 caracteres.
                    </div>
                  </div>
                </md-input-container>
             </div>
             
             <div layout-gt-sm="row">
                  <md-input-container class="md-block" flex-gt-sm> 
                  	<label>Coste</label> 
                    <input maxlength="6" required ng-pattern="/^\d{1,3}(\.\d{1,2})?$/" name="precioCoste" ng-model="conceptoFacturable.precioCoste" />
                    
                    <div ng-messages="conceptoFacturableForm.precioCoste.$error">
                      <div ng-message="required">
                        <b>Coste</b> obligatorio.
                      </div>
                      <div ng-message="pattern">
                        El <b>Coste</b> debe tener un formato <b>###.##</b>.
                      </div>
                    </div>
                  </md-input-container>
                  
                  <div flex="5" hide-xs hide-sm>
                    <!-- Spacer //-->
                  </div>
                  
                  <md-input-container class="md-block" flex-gt-sm> 
                    <label>Importe</label> 
                    <input maxlength="6" required ng-pattern="/^\d{1,3}(\.\d{1,2})?$/" name="importe" ng-model="conceptoFacturable.importe" />
                    
                    <div ng-messages="conceptoFacturableForm.importe.$error">
                      <div ng-message="required">
                        <b>Importe</b> obligatorio.
                      </div>
                      <div ng-message="pattern">
                        El <b>Importe</b> debe tener un formato <b>###.##</b>.
                      </div>
                    </div>
                  </md-input-container>
                  
                  <div flex="5" hide-xs hide-sm>
                    <!-- Spacer //-->
                  </div>
                  
                  <md-input-container class="md-block" flex-gt-sm> 
                    <label>Unidades</label> 
                    <input md-maxlength="10" required name="unidad" ng-model="conceptoFacturable.unidad" />
                    
                    <div ng-messages="conceptoFacturableForm.unidad.$error">
                      <div ng-message="required">
                        <b>Unidades</b> obligatorio.
                      </div>
                      <div ng-message="md-maxlength">
                        Las <b>Unidades</b> dun m&aacute;ximo de 10 caracteres.
                      </div>
                    </div>
                  </md-input-container>
                </div> 
             </div>
            
            <md-dialog-actions layout="row">
              <md-button type="submit" id="saveConceptoFacturable" class="md-raised md-primary">Guardar</md-button>
              <md-button type="button" class="md-raised md-warn" ng-click="removeConceptoFacturable(conceptoFacturable)" ng-if="conceptoFacturable.id">Eliminar</md-button>
            </md-dialog-actions>
          </form>
        </md-dialog>
      </div>
    </div>
  </div>
</div>

